/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.platform.helpers;

public class AutomotiveConfigConstants {

    // General UI Elements
    public static final String GENERAL_UI_PACKAGE = "GENERAL_UI_PACAKAGE";

    // Phone App Constants
    public static final String OPEN_DIAL_PAD_COMMAND = "OPEN_DIAL_PAD_COMMAND";
    public static final String OPEN_PHONE_ACTIVITY_COMMAND = "OPEN_PHONE_ACTIVITY_COMMAND";
    public static final String DIAL_PACKAGE = "DIAL_PACKAGE";
    public static final String PHONE_ACTIVITY = "PHONE_ACTIVITY";
    public static final String MAKE_CALL = "MAKE_CALL";
    public static final String END_CALL = "END_CALL";
    public static final String ONGOING_CALL = "ONGOING_CALL";
    public static final String CALL_HISTORY_MENU = "CALL_HISTORY_MENU";
    public static final String DELETE_NUMBER = "DELETE_NUMBER";
    public static final String DIAL_IN_NUMBER = "DIAL_IN_NUMBER";
    public static final String DIALED_CONTACT_TITLE = "DIALED_CONTACT_TITLE";
    public static final String SWITCH_TO_DIAL_PAD = "SWITCH_TO_DIAL_PAD";
    public static final String DIAL_PAD_BUTTON = "DIAL_PAD_BUTTON";
    public static final String MUTE_CALL = "MUTE_CALL";
    public static final String CONTACT_LIST_SCROLL_ACTION = "CONTACT_LIST_SCROLL_ACTION";
    public static final String CONTACT_LIST_SCROLL_FORWARD = "CONTACT_LIST_SCROLL_FORWARD";
    public static final String CONTACT_LIST_SCROLL_BACKWARD = "CONTACT_LIST_SCROLL_BACKWARD";
    public static final String CONTACT_LIST_SCROLL_ELEMENT = "CONTACT_LIST_SCROLL_ELEMENT";
    public static final String CONTACT_LIST_SCROLL_DIRECTION = "CONTACT_LIST_SCROLL_DIRECTION";
    public static final String CHANGE_VOICE_CHANNEL = "CHANGE_VOICE_CHANNEL";
    public static final String VOICE_CHANNEL_PHONE = "VOICE_CHANNEL_PHONE";
    public static final String VOICE_CHANNEL_CAR = "VOICE_CHANNEL_CAR";
    public static final String DIALED_CONTACT_TYPE = "DIALED_CONTACT_TYPE";
    public static final String DIALING_NUMBER = "DIALING_NUMBER";
    public static final String CONTACT_SEARCH_BAR = "CONTACT_SEARCH_BAR";
    public static final String CONTACT_SEARCH_RESULT = "CONTACT_SEARCH_RESULT";
    public static final String CONTACT_SEARCH_RESULT_NAME = "CONTACT_SEARCH_RESULT_NAME";
    public static final String SEARCH_RESULT = "SEARCH_RESULT";
    public static final String SEARCH_BACK_BUTTON = "SEARCH_BACK_BUTTON";
    public static final String CONTACT_SETTING_SCROLL_ACTION = "CONTACT_SETTING_SCROLL_ACTION";
    public static final String CONTACT_SETTING_SCROLL_FORWARD = "CONTACT_SETTING_SCROLL_FORWARD";
    public static final String CONTACT_SETTING_SCROLL_BACKWARD = "CONTACT_SETTING_SCROLL_BACKWARD";
    public static final String CONTACT_SETTING_SCROLL_ELEMENT = "CONTACT_SETTING_SCROLL_ELEMENT";
    public static final String CONTACT_SETTING_SCROLL_DIRECTION =
            "CONTACT_SETTING_SCROLL_DIRECTION";
    public static final String CONTACT_ORDER = "CONTACT_ORDER";
    public static final String SORT_BY_FIRST_NAME = "SORT_BY_FIRST_NAME";
    public static final String SORT_BY_LAST_NAME = "SORT_BY_LAST_NAME";
    public static final String CONTACTS_MENU = "CONTACTS_MENU";
    public static final String CONTACT_NAME = "CONTACT_NAME";

    public static final String CONTACT_ADDRESS = "CONTACT_ADDRESS";

    public static final String CONTACT_HOME_ADDRESS = "CONTACT_HOME_ADDRESS";

    public static final String CONTACT_DETAILS_PAGE = "CONTACT_DETAILS_PAGE";
    public static final String CONTACT_DETAIL = "CONTACT_DETAIL";
    public static final String CALL_HISTORY_INFO = "CALL_HISTORY_INFO";
    public static final String SEARCH_CONTACT = "SEARCH_CONTACT";

    public static final String CALL_MOBILE_BUTTON = "CALL_MOBILE_BUTTON";
    public static final String CONTACT_SETTINGS = "CONTACT_SETTINGS";
    public static final String DIAL_PAD_FRAGMENT = "DIAL_PAD_FRAGMENT";

    public static final String DIALER_CONNECTED_PHONE_NAME = "DIALER_CONNECTED_PHONE_NAME";
    public static final String DIGIT_ZERO = "0";
    public static final String DIGIT_ONE = "1";
    public static final String DIGIT_TWO = "2";
    public static final String DIGIT_THREE = "3";
    public static final String DIGIT_FOUR = "4";
    public static final String DIGIT_FIVE = "5";
    public static final String DIGIT_SIX = "6";
    public static final String DIGIT_SEVEN = "7";
    public static final String DIGIT_EIGHT = "8";
    public static final String DIGIT_NINE = "9";
    public static final String ADD_CONTACT_TO_FAVORITE = "ADD_CONTACT_TO_FAVORITE";
    public static final String ADD_CONTACT_TO_FAVORITE_FROM_DIALOG_BOX =
            "ADD_CONTACT_TO_FAVORITE_FROM_DIALOG_BOX";
    public static final String ADD_TO_FAVORITE_BUTTON = "ADD_TO_FAVORITE_BUTTON";
    public static final String ADD_TO_FAVORITE_DIALOG_OK = "ADD_TO_FAVORITE_DIALOG_OK";

    public static final String CONTACT_TYPE_HOME = "CONTACT_TYPE_HOME";
    public static final String CONTACT_TYPE_WORK = "CONTACT_TYPE_WORK";
    public static final String CONTACT_TYPE_MOBILE = "CONTACT_TYPE_MOBILE";
    public static final String CONTACT_DETAILS_SCROLL_ACTION = "CONTACT_DETAILS_SCROLL_ACTION";
    public static final String CONTACT_DETAILS_SCROLL_FORWARD = "CONTACT_DETAILS_SCROLL_FORWARD";
    public static final String CONTACT_DETAILS_SCROLL_BACKWARD = "CONTACT_DETAILS_SCROLL_BACKWARD";
    public static final String CONTACT_DETAILS_SCROLL_ELEMENT = "CONTACT_DETAILS_SCROLL_ELEMENT";
    public static final String CONTACT_DETAILS_SCROLL_DIRECTION =
            "CONTACT_DETAILS_SCROLL_DIRECTION";
    public static final String DIAL_PAD_MENU = "DIAL_PAD_MENU";
    public static final String FAVORITES_MENU = "FAVORITES_MENU";
    public static final String DIALER_VIEW = "DIALER_VIEW";
    public static final String CONTACT_NAME_TITLE = "CONTACT_NAME_TITLE";

    // Home App Constants
    public static final String HOME_PACKAGE = "HOME_PACKAGE";
    public static final String HOME_BOTTOM_CARD = "HOME_BOTTOM_CARD";
    public static final String HOME_TOP_CARD = "HOME_TOP_CARD";
    public static final String HOME_MAP_CARD = "HOME_MAP_CARD";
    public static final String HOME_ASSISTANT_CARD = "HOME_ASSISTANT_CARD";
    public static final String HOME_PHONE_CARD = "HOME_PHONE_CARD";
    public static final String HOME_TEMPERATURE_BUTTON = "HOME_TEMPERATURE_BUTTON";
    public static final String OPEN_SYSTEM_UI = "OPEN_SYSTEM_UI";
    public static final String OPEN_CAR_UI = "OPEN_CAR_UI";
    public static final String HOME_MAPS_WIDGET = "HOME_MAPS_WIDGET";

    // App Grid Constants
    public static final String OPEN_APP_GRID_COMMAND = "OPEN_APP_GRID_COMMAND";
    public static final String APP_GRID_SCROLL_BACKWARD_BUTTON = "APP_GRID_SCROLL_BACKWARD_BUTTON";
    public static final String APP_GRID_SCROLL_FORWARD_BUTTON = "APP_GRID_SCROLL_FORWARD_BUTTON";
    public static final String APP_GRID_VIEW_ID = "APP_GRID_VIEW_ID";
    public static final String APP_GRID_PACKAGE = "APP_GRID_PACKAGE";
    public static final String APPLICATION_NAME = "APPLICATION_NAME";
    public static final String APP_LIST_SCROLL_ELEMENT = "APP_LIST_SCROLL_ELEMENT";
    public static final String APP_LIST_SCROLL_ACTION = "APP_LIST_SCROLL_ACTION";
    public static final String APP_LIST_SCROLL_DIRECTION = "APP_LIST_SCROLL_DIRECTION";
    public static final String BLOCKING_MESSAGE = "BLOCKING_MESSAGE";
    public static final String BLOCKING_SCREEN = "BLOCKING_SCREEN";
    public static final String CONTACTS_PACKAGE = "CONTACTS_PACKAGE";
    public static final String RADIO_PACKAGE = "RADIO_PACKAGE";
    public static final String APPS_INITIAL_DIALOGS = "DISMISS_APPS_INITIAL_DIALOGS";
    public static final String CONTACTS_DIALOG_BOX = "CONTACTS_DIALOG_BOX";

    // Security Settings  Constants
    public static final String SECURITY_SETTINGS_SCROLL_ELEMENT =
            "SECURITY_SETTINGS_SCROLL_ELEMENT";
    public static final String SECURITY_SETTINGS_REMOVE_BUTTON = "SECURITY_SETTINGS_REMOVE_BUTTON";
    public static final String SECURITY_SETTINGS_LOCK_TYPE_NONE =
            "SECURITY_SETTINGS_LOCK_TYPE_NONE";
    public static final String SECURITY_SETTINGS_PIN_PAD = "SECURITY_SETTINGS_PIN_PAD";
    public static final String SECURITY_SETTINGS_ENTER_PIN_BUTTON =
            "SECURITY_SETTINGS_ENTER_PIN_BUTTON";
    public static final String SECURITY_SETTINGS_LOCK_TYPE_PASSWORD =
            "SECURITY_SETTINGS_LOCK_TYPE_PASSWORD";
    public static final String SECURITY_SETTINGS_PACKAGE = "SECURITY_SETTINGS_PACKAGE";
    public static final String SECURITY_SETTINGS_TITLE = "SECURITY_SETTINGS_TITLE";
    public static final String SECURITY_SETTINGS_PROFILE_LOCK = "SECURITY_SETTINGS_PROFILE_LOCK";
    public static final String SECURITY_SETTINGS_ENTER_PASSWORD =
            "SECURITY_SETTINGS_ENTER_PASSWORD";
    public static final String SECURITY_SETTINGS_LOCK_TYPE_PIN = "SECURITY_SETTINGS_LOCK_TYPE_PIN";
    public static final String SECURITY_SETTINGS_CONTINUE_BUTTON =
            "SECURITY_SETTINGS_CONTINUE_BUTTON";
    public static final String SECURITY_SETTINGS_CONFIRM_BUTTON =
            "SECURITY_SETTINGS_CONFIRM_BUTTON";
    public static final String SECURITY_SETTINGS_SCROLL_FORWARD =
            "SECURITY_SETTINGS_SCROLL_FORWARD";
    public static final String SECURITY_SETTINGS_SCROLL_BACKWARD =
            "SECURITY_SETTINGS_SCROLL_BACKWARD";
    public static final String SECURITY_SETTINGS_SCROLL_ACTION = "SECURITY_SETTINGS_SCROLL_ACTION";
    public static final String SECURITY_SETTINGS_SCROLL_DIRECTION =
            "SECURITY_SETTINGS_SCROLL_DIRECTION";

    // Lockscreen App Constants
    public static final String LOCK_SCREEN_PIN_PAD = "LOCK_SCREEN_PIN_PAD";
    public static final String LOCK_SCREEN_ENTER_KEY = "LOCK_SCREEN_ENTER_KEY";
    public static final String LOCK_SCREEN_PACKAGE = "LOCK_SCREEN_PACKAGE";
    public static final String LOCK_TYPE_PASSWORD = "LOCK_TYPE_PASSWORD";
    public static final String LOCK_TYPE_PIN = "LOCK_TYPE_PIN";
    public static final String LOCK_SCREEN_CONTINUE_BUTTON = "LOCK_SCREEN_CONTINUE_BUTTON";

    // Notification App Constants
    public static final String OPEN_NOTIFICATIONS_COMMAND = "OPEN_NOTIFICATIONS_COMMAND";
    public static final String NOTIFICATION_LIST = "NOTIFICATION_LIST";
    public static final String NOTIFICATION_VIEW = "NOTIFICATION_VIEW";
    public static final String CLEAR_ALL_BUTTON = "CLEAR_ALL_BUTTON";
    public static final String APP_ICON = "APP_ICON";
    public static final String NOTIFICATION_TITLE = "NOTIFICATION_TITLE";
    public static final String NOTIFICATION_BODY = "NOTIFICATION_BODY";
    public static final String NOTIFICATION_LIST_EMPTY = "NOTIFICATION_LIST_EMPTY";
    public static final String NOTIFICATION_LIST_SCROLL_FORWARD_BUTTON =
            "NOTIFICATION_LIST_SCROLL_FORWARD_BUTTON";
    public static final String NOTIFICATION_LIST_SCROLL_BACKWARD_BUTTON =
            "NOTIFICATION_LIST_SCROLL_BACKWARD_BUTTON";
    public static final String NOTIFICATION_LIST_SCROLL_ACTION = "NOTIFICATION_LIST_SCROLL_ACTION";
    public static final String NOTIFICATION_LIST_SCROLL_DIRECTION =
            "NOTIFICATION_LIST_SCROLL_DIRECTION";
    public static final String MANAGE_BUTTON = "MANAGE_BUTTON";
    public static final String NOTIFICATION_SETTINGS_LAYOUT = "NOTIFICATION_SETTINGS_LAYOUT";
    public static final String NOTIFICATION_SETTINGS_TITLE = "NOTIFICATION_SETTINGS_TITLE";

    // System Settings Constants
    public static final String SETTINGS_PACKAGE = "SETTINGS_PACKAGE";
    public static final String SYSTEM_SETTINGS_SCROLL_ACTION = "SYSTEM_SETTINGS_SCROLL_ACTION";
    public static final String SYSTEM_SETTINGS_SCROLL_DIRECTION =
            "SYSTEM_SETTINGS_SCROLL_DIRECTION";
    public static final String SYSTEM_SETTINGS_SCROLL_FORWARD_BUTTON =
            "SYSTEM_SETTINGS_SCROLL_FORWARD_BUTTON";
    public static final String SYSTEM_SETTINGS_SCROLL_BACKWARD_BUTTON =
            "SYSTEM_SETTINGS_SCROLL_BACKWARD_BUTTON";
    public static final String SYSTEM_SETTINGS_SCROLL_ELEMENT = "SYSTEM_SETTINGS_SCROLL_ELEMENT";
    public static final String ABOUT_MENU = "ABOUT_MENU";
    public static final String DEVELOPER_OPTIONS = "DEVELOPER_OPTIONS";
    public static final String DEVELOPER_OPTIONS_SWITCH = "DEVELOPER_OPTIONS_SWITCH";
    public static final String RESET_OPTIONS_MENU = "RESET_OPTIONS_MENU";
    public static final String LANGUAGES_AND_INPUT_MENU = "LANGUAGES_AND_INPUT_MENU";
    public static final String DEVICE_MODEL = "DEVICE_MODEL";
    public static final String ANDROID_VERSION = "ANDROID_VERSION";
    public static final String ANDROID_SECURITY_PATCH_LEVEL = "ANDROID_SECURITY_PATCH_LEVEL";
    public static final String KERNEL_VERSION = "KERNEL_VERSION";
    public static final String BUILD_NUMBER = "BUILD_NUMBER";
    public static final String RESET_NETWORK = "RESET_NETWORK";
    public static final String RESET_SETTINGS = "RESET_SETTINGS";
    public static final String RESET_APP_PREFERENCES = "RESET_APP_PREFERENCES";
    public static final String RESET_APPS = "RESET_APPS";
    public static final String LANGUAGES_MENU = "LANGUAGES_MENU";
    public static final String LANGUAGES_MENU_IN_SELECTED_LANGUAGE =
            "LANGUAGES_MENU_IN_SELECTED_LANGUAGE";
    public static final String SETTINGS_SUMMARY = "SETTINGS_SUMMARY";
    public static final String SYSTEM_SETTINGS_SCROLL_MARGIN = "SYSTEM_SETTINGS_SCROLL_MARGIN";
    public static final String SYSTEM_SETTINGS_SCROLL_WAIT_TIME =
            "SYSTEM_SETTINGS_SCROLL_WAIT_TIME";
    public static final String RECENT_NOTIFICATIONS = "RECENT_NOTIFICATIONS";
    public static final String OLDER_NOTIFICATIONS = "OLDER_NOTIFICATIONS";
    public static final String TEST_NOTIFICATION = "TEST_NOTIFICATION";
    // Display Settings Constants
    public static final String BRIGHTNESS_SEEKBAR = "BRIGHTNESS_SEEKBAR";

    // Date and time Settings Constants
    public static final String DATE_TIME_SETTINGS_SCROLL_ACTION =
            "DATE_TIME_SETTINGS_SCROLL_ACTION";
    public static final String DATE_TIME_SETTINGS_SCROLL_DIRECTION =
            "DATE_TIME_SETTINGS_SCROLL_DIRECTION";
    public static final String DATE_TIME_SETTINGS_SET_TIME_AUTOMATICALLY =
            "DATE_TIME_SETTINGS_SET_TIME_AUTOMATICALLY";
    public static final String DATE_TIME_SETTINGS_SET_TIME_ZONE_AUTOMATICALLY =
            "DATE_TIME_SETTINGS_SET_TIME_ZONE_AUTOMATICALLY";
    public static final String DATE_TIME_SETTINGS_SET_DATE = "DATE_TIME_SETTINGS_SET_DATE";
    public static final String DATE_TIME_SETTINGS_SET_TIME = "DATE_TIME_SETTINGS_SET_TIME";
    public static final String DATE_TIME_SETTINGS_USE_24_HOUR_FORMAT =
            "DATE_TIME_SETTINGS_USE_24_HOUR_FORMAT";
    public static final String DATE_TIME_SETTINGS_SELECT_TIME_ZONE =
            "DATE_TIME_SETTINGS_SELECT_TIME_ZONE";
    public static final String DATE_TIME_SETTINGS_SCROLL_FORWARD_BUTTON =
            "DATE_TIME_SETTINGS_SCROLL_FORWARD_BUTTON";
    public static final String DATE_TIME_SETTINGS_SCROLL_BACKWARD_BUTTON =
            "DATE_TIME_SETTINGS_SCROLL_BACKWARD_BUTTON";
    public static final String DATE_TIME_SETTINGS_SCROLL_ELEMENT =
            "DATE_TIME_SETTINGS_SCROLL_ELEMENT";
    public static final String NUMBER_PICKER_WIDGET_CLASS = "NUMBER_PICKER_WIDGET_CLASS";
    public static final String EDIT_TEXT_WIDGET_CLASS = "EDIT_TEXT_WIDGET_CLASS";
    public static final String DATE_TIME_SETTINGS_SCROLL_MARGIN =
            "DATE_TIME_SETTINGS_SCROLL_MARGIN";
    public static final String DATE_TIME_SETTINGS_SCROLL_WAIT_TIME =
            "DATE_TIME_SETTINGS_SCROLL_WAIT_TIME";

    // Display Settings Constants
    public static final String DISPLAY_SETTINGS_LIST_SCROLL_ACTION =
            "DISPLAY_SETTINGS_LIST_SCROLL_ACTION";
    public static final String DISPLAY_SETTINGS_SCROLL_BACKWARD_BUTTON =
            "DISPLAY_SETTINGS_SCROLL_BACKWARD_BUTTON";
    public static final String DISPLAY_SETTINGS_SCROLL_FORWARD_BUTTON =
            "DISPLAY_SETTINGS_SCROLL_FORWARD_BUTTON";
    public static final String DISPLAY_SETTINGS_SCROLL_ELEMENT = "DISPLAY_SETTINGS_SCROLL_ELEMENT";
    public static final String DISPLAY_SETTINGS_LIST_SCROLL_DIRECTION =
            "DISPLAY_SETTINGS_LIST_SCROLL_DIRECTION";
    public static final String DISPLAY_SETTINGS_SCROLL_MARGIN = "DISPLAY_SETTINGS_SCROLL_MARGIN";

    public static final String DISPLAY_SETTINGS_SCROLL_WAIT_TIME =
            "DISPLAY_SETTINGS_SCROLL_WAIT_TIME";

    public static final String DISPLAY_SETTINGS_ADAPTIVE_BRIGHTNESS_TOGGLE =
            "DISPLAY_SETTINGS_ADAPTIVE_BRIGHTNESS_TOGGLE";

    // Sound Setting Constants
    public static final String SOUND_SETTINGS_SAVE_BUTTON = "SOUND_SETTINGS_SAVE_BUTTON";
    public static final String SOUND_SETTINGS_LIST_SCROLL_DIRECTION =
            "SOUND_SETTINGS_LIST_SCROLL_DIRECTION";
    public static final String SOUND_SETTINGS_LIST_SCROLL_ACTION =
            "SOUND_SETTINGS_LIST_SCROLL_ACTION";
    public static final String SOUND_SETTINGS_SCROLL_ELEMENT = "SOUND_SETTINGS_SCROLL_ELEMENT";
    public static final String SOUND_SETTINGS_SCROLL_FORWARD_BUTTON =
            "SOUND_SETTINGS_SCROLL_FORWARD_BUTTON";
    public static final String SOUND_SETTINGS_SCROLL_BACKWARD_BUTTON =
            "SOUND_SETTINGS_SCROLL_BACKWARD_BUTTON";
    public static final String SOUND_SETTINGS_SCROLL_MARGIN = "SOUND_SETTINGS_SCROLL_MARGIN";
    public static final String SOUND_SETTINGS_SCROLL_WAIT_TIME = "SOUND_SETTINGS_SCROLL_WAIT_TIME";

    // Media Center
    public static final String MEDIA_CENTER_PACKAGE = "MEDIA_CENTER_PACKAGE";
    public static final String MEDIA_LAUNCH_COMMAND = "MEDIA_LAUNCH_COMMAND";
    // Media Center Screen
    public static final String PLAY_PAUSE_BUTTON = "PLAY_PAUSE_BUTTON";
    public static final String MEDIA_SONGS_LIST = "MEDIA_SONGS_LIST";
    public static final String MEDIA_LAUNCH_BLUETOOTH_AUDIO_COMMAND =
            "MEDIA_LAUNCH_BLUETOOTH_AUDIO_COMMAND";
    public static final String ENABLE_DISABLE_BT_TOGGLE = "ENABLE_DISABLE_BT_TOGGLE";
    public static final String CANCEL_BT_AUDIO_CONNECTION_BUTTON =
            "CANCEL_BT_AUDIO_CONNECTION_BUTTON";
    public static final String MEDIA_SCROLL_DOWN_BUTTON = "MEDIA_SCROLL_DOWN_BUTTON";
    public static final String MEDIA_SCROLL_UP_BUTTON = "MEDIA_SCROLL_UP_BUTTON";
    public static final String MEDIA_SONG_IN_PLAYLIST = "MEDIA_SONG_IN_PLAYLIST";
    public static final String ARTIST_TITLE = "ARTIST_TITLE";
    public static final String ALBUM_TITLE = "ALBUM_TITLE";
    public static final String CURRENT_SONG_TIME = "CURRENT_SONG_TIME";
    public static final String MAX_SONG_TIME = "MAX_SONG_TIME";
    // NEXT_BUTTON from Account Settings
    public static final String PREVIOUS_BUTTON = "PREVIOUS_BUTTON";
    public static final String SHUFFLE_BUTTON = "SHUFFLE_BUTTON";
    public static final String MINIMIZED_MEDIA_CONTROLS = "MINIMIZED_MEDIA_CONTROLS";
    public static final String TRACK_NAME = "TRACK_NAME";
    public static final String TRACK_NAME_MINIMIZED_CONTROL = "TRACK_NAME_MINIMIZED_CONTROL";
    public static final String BACK_BUTTON = "BACK_BUTTON";
    // Media Center On Home Screen
    public static final String PLAY_PAUSE_BUTTON_HOME_SCREEN = "PLAY_PAUSE_BUTTON_HOME_SCREEN";
    public static final String PREVIOUS_BUTTON_HOME_SCREEN = "PREVIOUS_BUTTON_HOME_SCREEN";
    public static final String NEXT_BUTTON_HOME_SCREEN = "NEXT_BUTTON_HOME_SCREEN";
    public static final String TRACK_NAME_HOME_SCREEN = "TRACK_NAME_HOME_SCREEN";
    // Media Apps Grid
    public static final String MEDIA_APPS_GRID_TITLE = "MEDIA_APPS_GRID_TITLE";
    // Media App UI View
    public static final String MEDIA_APP_TITLE = "MEDIA_APP_TITLE";
    public static final String MEDIA_APP_DROP_DOWN_MENU = "MEDIA_APP_DROP_DOWN_MENU";
    public static final String MEDIA_APP_NAVIGATION_ICON = "MEDIA_APP_NAVIGATION_ICON";
    public static final String MEDIA_APP_NO_LOGIN_MSG = "MEDIA_APP_NO_LOGIN_MSG";
    public static final String MOW_PLAYING_LABEL = "MOW_PLAYING_LABEL";
    // Test Media App
    public static final String TEST_MEDIA_ACCOUNT_TYPE = "TEST_MEDIA_ACCOUNT_TYPE";
    public static final String TEST_MEDIA_ACCOUNT_TYPE_PAID = "TEST_MEDIA_ACCOUNT_TYPE_PAID";
    public static final String TEST_MEDIA_ROOT_NODE_TYPE = "TEST_MEDIA_ROOT_NODE_TYPE";
    public static final String TEST_MEDIA_ROOT_NODE_TYPE_BROWSABLE =
            "TEST_MEDIA_ROOT_NODE_TYPE_BROWSABLE";
    public static final String TEST_MEDIA_APP_CLOSE_SETTING = "TEST_MEDIA_APP_CLOSE_SETTING";
    // Same NEXT_BUTTON is applicable for Media Center
    public static final String NEXT_BUTTON = "NEXT_BUTTON";
    public static final String DONE_BUTTON = "DONE_BUTTON";
    public static final String MEDIA_APP_SCROLL_ACTION = "MEDIA_APP_SCROLL_ACTION";
    public static final String MEDIA_APP_SCROLL_DIRECTION = "MEDIA_APP_SCROLL_DIRECTION";
    public static final String MEDIA_APP_SCROLL_FORWARD_BUTTON = "MEDIA_APP_SCROLL_FORWARD_BUTTON";
    public static final String MEDIA_APP_SCROLL_BACKWARD_BUTTON =
            "MEDIA_APP_SCROLL_BACKWARD_BUTTON";
    public static final String MEDIA_APP_SCROLL_ELEMENT = "MEDIA_APP_SCROLL_ELEMENT";
    public static final String BLUETOOTH_DISCONNECTED_LABEL = "BLUETOOTH_DISCONNECTED_LABEL";
    public static final String MEDIA_PLAYLIST_ICON = "MEDIA_PLAYLIST_ICON";

    // SETTINGS CONSTANTS
    public static final String OPEN_SETTINGS_COMMAND = "OPEN_SETTINGS_COMMAND";
    public static final String STOP_SETTING_APP_COMMAND = "STOP_SETTING_APP_COMMAND";
    public static final String TOGGLE_WIFI = "TOGGLE_WIFI";
    public static final String TOGGLE_HOTSPOT = "TOGGLE_HOTSPOT";
    public static final String TOGGLE_BLUETOOTH = "TOGGLE_BLUETOOTH";
    public static final String TOGGLE_DEVICE_BLUETOOTH = "TOGGLE_DEVICE_BLUETOOTH";
    public static final String DEVICE_HEADER_SUMMARY = "DEVICE_HEADER_SUMMARY";
    public static final String DEVICE_CONNECTION_TEXT = "DEVICE_CONNECTION_TOGGLE";

    public static final String DEVICE_CONNECTION_BUTTON = "DEVICE_CONNECTION_BUTTON";

    public static final String DEVICE_CONNECTION_BACK_BUTTON = "DEVICE_CONNECTION_BACK_BUTTON";
    public static final String DEVICE_FORGET_BUTTON = "DEVICE_FORGET_BUTTON";

    public static final String SEARCH = "SEARCH";
    public static final String SEARCH_BOX = "SEARCH_BOX";
    public static final String SEARCH_RESULTS = "SEARCH_RESULTS";
    public static final String PAGE_TITLE = "PAGE_TITLE";
    public static final String PERMISSIONS_PAGE_TITLE = "PERMISSIONS_PAGE_TITLE";
    public static final String DIAL_CONTACT_WORKFLOW = "DIAL_CONTACT_WORKFLOW";
    public static final String SOUND_SETTINGS = "OPEN_SOUND_SETTINGS_WORKFLOW";
    public static final String NETWORK_AND_INTERNET_SETTINGS =
            "OPEN_NETWORK_AND_INTERNET_SETTINGS_WORKFLOW";
    public static final String BLUETOOTH_SETTINGS = "OPEN_BLUETOOTH_SETTINGS_WORKFLOW";
    public static final String SYSTEM_SETTINGS = "OPEN_SYSTEM_SETTINGS_WORKFLOW";
    public static final String PROFILE_ACCOUNT_SETTINGS = "OPEN_PROFILE_ACCOUNT_SETTINGS_WORKFLOW";
    public static final String APPS_SETTINGS = "OPEN_APPS_SETTINGS_WORKFLOW";
    public static final String SECURITY_SETTINGS = "OPEN_SECURITY_SETTINGS_WORKFLOW";

    public static final String SETTINGS_SUB_SETTING_SCROLL_ACTION =
            "SETTINGS_SUB_SETTING_SCROLL_ACTION";
    public static final String SETTINGS_SUB_SETTING_SCROLL_DIRECTION =
            "SETTINGS_SUB_SETTING_SCROLL_DIRECTION";
    public static final String SETTINGS_SUB_SETTING_SCROLL_BACKWARD_BUTTON =
            "SETTINGS_SUB_SETTING_SCROLL_BACKWARD_BUTTON";
    public static final String SETTINGS_SUB_SETTING_SCROLL_FORWARD_BUTTON =
            "SETTINGS_SUB_SETTING_SCROLL_FORWARD_BUTTON";
    public static final String SETTINGS_SUB_SETTING_SCROLL_ELEMENT =
            "SETTINGS_SUB_SETTING_SCROLL_ELEMENT";
    public static final String SETTINGS_TITLE_TEXT = "SETTINGS_TITLE_TEXT";
    public static final String LOCATION_SETTINGS_RECENTLY_ACCESSED_MAPS =
            "LOCATION_SETTINGS_RECENTLY_ACCESSED_MAPS";
    public static final String LOCATION_SETTINGS_VIEW_ALL = "LOCATION_SETTINGS_VIEW_ALL";
    public static final String START_ANDROID_AUTO_POPUP = "START_ANDROID_AUTO_POPUP";
    public static final String NOT_NOW_START_ANDROID_AUTO_POPUP_BUTTON =
            "NOT_NOW_START_ANDROID_AUTO_POPUP_BUTTON";
    public static final String SKIP_ASSISTANT_IMPROVEMENT_PAGE_BUTTON =
            "SKIP_ASSISTANT_IMPROVEMENT_PAGE_BUTTON";
    public static final String ASSISTANT_IMPROVEMENT_POPUP = "ASSISTANT_IMPROVEMENT_POPUP";

    // App Info Settings Constants
    public static final String APP_INFO_SETTINGS_APP_NAME_ELEMENT =
            "APP_INFO_SETTINGS_APP_NAME_ELEMENT";
    public static final String APP_INFO_SETTINGS_SCROLL_ACTION = "APP_INFO_SETTINGS_SCROLL_ACTION";
    public static final String APP_INFO_SETTINGS_SCROLL_DIRECTION =
            "APP_INFO_SETTINGS_SCROLL_DIRECTION";
    public static final String APP_INFO_SETTINGS_VIEW_ALL = "APP_INFO_SETTINGS_VIEW_ALL";
    public static final String APP_INFO_SETTINGS_PERMISSIONS_SCROLL_ELEMENT =
            "APP_INFO_SETTINGS_PERMISSIONS_SCROLL_ELEMENT";
    public static final String APP_INFO_SETTINGS_SCROLL_ELEMENT =
            "APP_INFO_SETTINGS_SCROLL_ELEMENT";
    public static final String APP_INFO_SETTINGS_SCROLL_FORWARD_BUTTON =
            "APP_INFO_SETTINGS_SCROLL_FORWARD_BUTTON";
    public static final String APP_INFO_SETTINGS_SCROLL_BACKWARD_BUTTON =
            "APP_INFO_SETTINGS_SCROLL_BACKWARD_BUTTON";
    public static final String APP_INFO_SETTINGS_ENABLE_DISABLE_BUTTON =
            "APP_INFO_SETTINGS_ENABLE_DISABLE_BUTTON";
    public static final String APP_INFO_SETTINGS_DISABLE_BUTTON_TEXT = "Disable";
    public static final String APP_INFO_SETTINGS_DISABLE_APP_BUTTON =
            "APP_INFO_SETTINGS_DISABLE_APP_BUTTON";
    public static final String APP_INFO_SETTINGS_ENABLE_BUTTON_TEXT = "Enable";
    public static final String APP_INFO_SETTINGS_OK_BUTTON = "APP_INFO_SETTINGS_OK_BUTTON";
    public static final String APP_INFO_SETTINGS_PERMISSIONS_MENU =
            "APP_INFO_SETTINGS_PERMISSIONS_MENU";
    public static final String APP_INFO_SETTINGS_PERMISSION_MANAGER =
            "APP_INFO_SETTINGS_PERMISSION_MANAGER";
    public static final String APP_INFO_SETTINGS_PERMISSION_MANAGER_APP_COUNTER =
            "APP_INFO_SETTINGS_PERMISSION_MANAGER_APP_COUNTER";
    public static final String APP_INFO_SETTINGS_ALLOW_BUTTON = "APP_INFO_SETTINGS_ALLOW_BUTTON";
    public static final String APP_INFO_SETTINGS_DONT_ALLOW_BUTTON =
            "APP_INFO_SETTINGS_DONT_ALLOW_BUTTON";
    public static final String APP_INFO_SETTINGS_DONT_ALLOW_ANYWAY_BUTTON =
            "APP_INFO_SETTINGS_DONT_ALLOW_ANYWAY_BUTTON";
    public static final String APP_INFO_SETTINGS_FORCE_STOP_BUTTON =
            "APP_INFO_SETTINGS_FORCE_STOP_BUTTON";
    public static final String APP_INFO_SETTINGS_TITTLE = "APP_INFO_SETTINGS_TITTLE";
    public static final String APP_INFO_SETTINGS_SCROLL_MARGIN = "APP_INFO_SETTINGS_SCROLL_MARGIN";
    public static final String APP_INFO_SETTINGS_SCROLL_WAIT_TIME =
            "APP_INFO_SETTINGS_SCROLL_WAIT_TIME";
    public static final String APP_INFO_SETTINGS_SINGLE_PERMISSION_SUMMARY =
            "APP_INFO_SETTINGS_SINGLE_PERMISSION_SUMMARY";
    public static final String APP_INFO_SETTINGS_PERMISSION_APP_LIST_VIEW =
            "APP_INFO_SETTINGS_PERMISSION_APP_LIST_VIEW";
    // Settings User Constants
    public static final String USER_SETTINGS_PACKAGE = "USER_SETTINGS_PACKAGE";
    public static final String USER_SETTINGS_SCROLL_ACTION = "USER_SETTINGS_SCROLL_ACTION";
    public static final String USER_SETTINGS_SCROLL_DIRECTION = "USER_SETTINGS_SCROLL_DIRECTION";
    public static final String USER_SETTINGS_ADD_PROFILE = "USER_SETTINGS_ADD_PROFILE";
    public static final String USER_SETTINGS_DELETE = "USER_SETTINGS_DELETE";
    public static final String USER_SETTINGS_OK = "USER_SETTINGS_OK";
    public static final String USER_SETTINGS_DELETE_SELF = "USER_SETTINGS_DELETE_SELF";
    public static final String USER_SETTINGS_MAKE_ADMIN = "USER_SETTINGS_MAKE_ADMIN";
    public static final String USER_SETTINGS_MAKE_ADMIN_CONFIRM =
            "USER_SETTINGS_MAKE_ADMIN_CONFIRM";
    public static final String CREATE_NEW_PROFILE_SWITCH = "CREATE_NEW_PROFILE_SWITCH";
    public static final String MAKE_PHONE_CALLS_SWITCH = "MAKE_PHONE_CALLS_SWITCH";
    public static final String MESSAGING_VIA_CARS_MOBILE_DATA_SWITCH =
            "MESSAGING_VIA_CARS_MOBILE_DATA_SWITCH";
    public static final String INSTALL_NEW_APPS_SWITCH = "INSTALL_NEW_APPS_SWITCH";
    public static final String UNINSTALL_APPS_SWITCH = "UNINSTALL_APPS_SWITCH";
    public static final String USER_SETTINGS_MAKE_TIME_PATTERN = "USER_SETTINGS_MAKE_TIME_PATTERN";
    public static final String USER_SETTINGS_SCROLL_FORWARD = "USER_SETTINGS_SCROLL_FORWARD";
    public static final String USER_SETTINGS_SCROLL_BACKWARD = "USER_SETTINGS_SCROLL_BACKWARD";
    public static final String USER_SETTINGS_SCROLL_ELEMENT = "USER_SETTINGS_SCROLL_ELEMENT";
    public static final String USER_SETTINGS_MANAGE_OTHER_PROFILES =
            "USER_SETTINGS_MANAGE_OTHER_PROFILES";
    public static final String USER_SETTINGS_SCROLL_MARGIN = "USER_SETTINGS_SCROLL_MARGIN";
    public static final String USER_SETTINGS_SCROLL_WAIT_TIME = "USER_SETTINGS_SCROLL_WAIT_TIME";

    // Account Settings Constants
    public static final String ACCOUNT_SETTINGS_SCROLL_ACTION = "ACCOUNT_SETTINGS_SCROLL_ACTION";
    public static final String ACCOUNT_SETTINGS_SCROLL_DIRECTION =
            "ACCOUNT_SETTINGS_SCROLL_DIRECTION";
    public static final String ACCOUNT_SETTINGS_DONE_BUTTON = "ACCOUNT_SETTINGS_DONE_BUTTON";
    public static final String ACCOUNT_SETTINGS_ADD_ACCOUNT = "ACCOUNT_SETTINGS_ADD_ACCOUNT";
    public static final String ACCOUNT_SETTINGS_SIGN_IN_ON_CAR_SCREEN =
            "ACCOUNT_SETTINGS_SIGN_IN_ON_CAR_SCREEN";
    public static final String ACCOUNT_SETTINGS_REMOVE_BUTTON = "ACCOUNT_SETTINGS_REMOVE_BUTTON";
    public static final String ACCOUNT_SETTINGS_REMOVE_ACCOUNT_BUTTON =
            "ACCOUNT_SETTINGS_REMOVE_ACCOUNT_BUTTON";
    public static final String ACCOUNT_SETTINGS_ENTER_EMAIL = "ACCOUNT_SETTINGS_ENTER_EMAIL";
    public static final String ACCOUNT_SETTINGS_ENTER_PASSWORD = "ACCOUNT_SETTINGS_ENTER_PASSWORD";
    public static final String ACCOUNT_SETTINGS_NEXT_BUTTON = "ACCOUNT_SETTINGS_NEXT_BUTTON";
    public static final String ACCOUNT_SETTINGS_SCROLL_BACKWARD_BUTTON =
            "ACCOUNT_SETTINGS_SCROLL_BACKWARD_BUTTON";
    public static final String ACCOUNT_SETTINGS_SCROLL_FORWARD_BUTTON =
            "ACCOUNT_SETTINGS_SCROLL_FORWARD_BUTTON";
    public static final String ACCOUNT_SETTINGS_SCROLL_ELEMENT = "ACCOUNT_SETTINGS_SCROLL_ELEMENT";
    public static final String ACCOUNT_SETTINGS_GOOGLE_SIGN_IN_SCREEN =
            "ACCOUNT_SETTINGS_GOOGLE_SIGN_IN_SCREEN";

    // Facet bar constants
    public static final String HOME_FACET_BUTTON = "HOME_FACET_BUTTON";
    public static final String PHONE_FACET_BUTTON = "PHONE_FACET_BUTTON";
    public static final String APP_GRID_FACET_BUTTON = "APP_GRID_FACET_BUTTON";
    public static final String NOTIFICATION_FACET_BUTTON = "NOTIFICATION_FACET_BUTTON";
    public static final String HVAC_FACET_BUTTON = "HVAC_FACET_BUTTON";
    public static final String HVAC_PANEL = "HVAC_PANEL";

    // APP info Setting UI ELEMENTS
    public static final String RECENTLY_OPENED_UI_ELEMENT = "RECENTLY_OPENED_UI_ELEMENT";
    public static final String NOTIFICATIONS_UI_ELEMENT = "NOTIFICATIONS_UI_ELEMENT";
    public static final String STOP_APP_UI_ELEMENT = "STOP_APP_UI_ELEMENT";
    public static final String PERMISSIONS_UI_ELEMENT = "PERMISSIONS_UI_ELEMENT";
    public static final String STORAGE_CACHE_UI_ELEMENT = "STORAGE_CACHE_UI_ELEMENT";
    public static final String PERMISSION_MANAGER_UI_ELEMENT = "PERMISSION_MANAGER_UI_ELEMENT";
    public static final String DEFAULT_APPS_UI_ELEMENT = "DEFAULT_APPS_UI_ELEMENT";
    public static final String UNUSED_APPS_UI_ELEMENT = "UNUSED_APPS_UI_ELEMENT";
    public static final String PERFORMANCE_IMPACTING_APPS_UI_ELEMENT =
            "PERFORMANCE_IMPACTING_APPS_UI_ELEMENT";
    public static final String SPECIAL_APPS_UI_ELEMENT = "SPECIAL_APPS_UI_ELEMENT";

    // Micro Phone Constants
    public static final String MICRO_PHONE_SWITCH = "MICRO_PHONE_SWITCH";
    public static final String TOGGLE_MICROPHONE = "TOGGLE_MICROPHONE";
    public static final String MICRO_PHONE_VIEW_ALL = "MICRO_PHONE_VIEW_ALL";
    public static final String MICRO_PHONE_MUTED_CHIP_STATUS_BAR =
            "MICRO_PHONE_MUTED_CHIP_STATUS_BAR";
    public static final String MICRO_PHONE_MUTED_CHIP_MIC_PANEL =
            "MICRO_PHONE_MUTED_CHIP_MIC_PANEL";
    public static final String MICRO_PHONE_CHIP_STATUS_BAR = "MICRO_PHONE_CHIP_STATUS_BAR";
    public static final String MICRO_PHONE_SETTING_LINK = "MICRO_PHONE_SETTING_LINK";
    public static final String MANAGE_MICRO_PHONE_PERMISSIONS = "MANAGE_MICRO_PHONE_PERMISSIONS";
    public static final String ASSISTANT_CARD = "ASSISTANT_CARD";
    public static final String NO_RECENT_APPS = "NO_RECENT_APPS";
    public static final String ADD_ACCOUNT_TEXT = "ADD_ACCOUNT_TEXT";
    public static final String NO_ACCOUNT_TEXT = "NO_ACCOUNT_TEXT";
    public static final String MANAGE_ACTIVITY_CONTROL_TEXT = "MANAGE_ACTIVITY_CONTROL_TEXT";
    public static final String RECENT_APPS_TIMESTAMP_TEXT = "RECENT_APPS_TIMESTAMP_TEXT";
    public static final String RECENT_APPS_TIMESTAMP = "RECENT_APPS_TIMESTAMP";


    // Status Bar Constants
    public static final String STATUS_BAR_BRIGHTNESS_BUTTON = "STATUS_BAR_BRIGHTNESS_BUTTON";
    public static final String STATUS_BAR_DISPLAY_BRIGHTNESS_PALETTE =
            "STATUS_BAR_DISPLAY_BRIGHTNESS_PALETTE";
    public static final String STATUS_BAR_ADAPTIVE_BRIGHTNESS = "STATUS_BAR_ADAPTIVE_BRIGHTNESS";
    public static final String NETWORK_PALETTE = "NETWORK_PALETTE";
    public static final String NETWORK_PALETTE_HOTSPOT = "NETWORK_PALETTE_HOTSPOT";
    public static final String NETWORK_PALETTE_WIFI = "NETWORK_PALETTE_WIFI";
    public static final String NETWORK_PALETTE_SUMMARY = "NETWORK_PALETTE_SUMMARY";
    public static final String NETWORK_PALETTE_SWITCH_WIDGET = "NETWORK_PALETTE_SWITCH_WIDGET";
    public static final String CONNECTED_WIFI = "CONNECTED_WIFI";
    public static final String FORGET_WIFI = "FORGET_WIFI";
    public static final String CLOCK_TIME = "CLOCK_TIME";

    // Quick Controls
    public static final String HOME_BLUETOOTH_BUTTON = "HOME_BLUETOOTH_BUTTON";
    public static final String HOME_NETWORK_BUTTON = "HOME_NETWORK_BUTTON";
    public static final String HOME_DISPLAY_BRIGHTNESS_BUTTON = "HOME_DISPLAY_BRIGHTNESS_BUTTON";

    // status bar constants
    public static final String STATUS_BAR_BLUETOOTH_TOGGLE_ON = "STATUS_BAR_BLUETOOTH_TOGGLE_ON";
    public static final String STATUS_BAR_BLUETOOTH_TOGGLE_OFF = "STATUS_BAR_BLUETOOTH_TOGGLE_OFF";
    public static final String STATUS_BAR_BLUETOOTH_TOGGLE_ON_MESSAGE =
            "STATUS_BAR_BLUETOOTH_TOGGLE_ON_MESSAGE";
    public static final String STATUS_BAR_BLUETOOTH_TOGGLE_OFF_MESSAGE =
            "STATUS_BAR_BLUETOOTH_TOGGLE_OFF_MESSAGE";
    public static final String STATUS_BAR_BLUETOOTH_SETTINGS = "STATUS_BAR_BLUETOOTH_SETTINGS";
    public static final String STATUS_BAR_BLUETOOTH_SETTINGS_PAGE_TITLE =
            "STATUS_BAR_BLUETOOTH_SETTINGS_PAGE_TITLE";
    public static final String STATUS_BAR_BLUETOOTH_BUTTON = "STATUS_BAR_BLUETOOTH_BUTTON";
    public static final String NIGHT_MODE_COMMAND = "NIGHT_MODE_COMMAND";
    public static final String DAY_MODE_COMMAND = "DAY_MODE_COMMAND";

    public static final String TOGGLE_LOCATION = "TOGGLE_LOCATION";
    public static final String LOCATION_ACCESS = "LOCATION_ACCESS";
    public static final String LOCATION_SWITCH = "LOCATION_SWITCH";
    public static final String LOCATION_WIDGET = "LOCATION_WIDGET";
    public static final String RECENTLY_CLOSED_TEXT = "RECENTLY_CLOSED_TEXT";

    // Guest Profile
    public static final String HOME_PROFILE_GUEST_ICON = "HOME_PROFILE_GUEST_ICON";
    public static final String HOME_PROFILE_ICON_BUTTON = "HOME_PROFILE_ICON_BUTTON";
    public static final String HOME_GUEST_BUTTON = "HOME_GUEST_BUTTON";
    public static final String HOME_DRIVER_BUTTON = "HOME_DRIVER_BUTTON";
    public static final String HOME_SECONDARY_USER_BUTTON = "HOME_SECONDARY_USER_BUTTON";


    // Privacy UI Options
    public static final String MICROPHONE = "MICROPHONE";
    public static final String LOCATION = "LOCATION";
    public static final String APP_PERMISSION = "APP_PERMISSION";
    public static final String INFOTAINMENT_SYSTEM_DATA = "INFOTAINMENT_SYSTEM_DATA";
    public static final String DATA_SHARING_WITH_GOOGLE = "DATA_SHARING_WITH_GOOGLE";
    public static final String SETTINGS_BACK_BUTTON = "SETTINGS_BACK_BUTTON";
    public static final String SETTINGS_UI_SUB_SETTING_SCROLL_ELEMENT =
            "SETTINGS_UI_SUB_SETTING_SCROLL_ELEMENT";
    public static final String SETTINGS_PERMISSIONS_BACK_BUTTON =
            "SETTINGS_PERMISSIONS_BACK_BUTTON";

    // Storage Settings
    public static final String STORAGE_SYSTEM_SUB_SETTINGS = "STORAGE_SYSTEM_SUB_SETTINGS";
    public static final String STORAGE_MUSIC_AUDIO_SETTINGS = "STORAGE_MUSIC_AUDIO_SETTINGS";
    public static final String STORAGE_OTHER_APPS_SETTINGS = "STORAGE_OTHER_APPS_SETTINGS";
    public static final String STORAGE_OPTIONS_SUMMARY = "STORAGE_OPTIONS_SUMMARY";
    public static final String STORAGE_FILES_SETTINGS = "STORAGE_FILES_SETTINGS";
    public static final String STORAGE_SYSTEM_SETTINGS = "STORAGE_SYSTEM_SETTINGS";


    // Car Sms Messenger
    public static final String SMS_PACKAGE = "SMS_PACKAGE";
    public static final String OPEN_SMS_ACTIVITY_COMMAND = "OPEN_SMS_ACTIVITY_COMMAND";
    public static final String SMS_BLUETOOTH_ERROR = "SMS_BLUETOOTH_ERROR";
    public static final String SMS_UNREAD_BADGE = "SMS_UNREAD_BADGE";
    public static final String SMS_PREVIEW_TEXT = "SMS_PREVIEW_TEXT";
    public static final String SMS_PREVIEW_TIMESTAMP = "SMS_PREVIEW_TIMESTAMP";
    public static final String TAP_TO_READ_ALOUD = "TAP_TO_READ_ALOUD";
    public static final String ASSISTANT_SMS_TRANSCRIPTION_PLATE =
            "ASSISTANT_SMS_TRANSCRIPTION_PLATE";
    public static final String SMS_EMPTY_MESSAGE = "SMS_EMPTY_MESSAGE";

    // Bluetooth Tests Constants
    public static final String BLUETOOTH_BUTTON = "BLUETOOTH_BUTTON";
    public static final String BLUETOOTH_CONNECTED_DISCONNECTED_TEXT =
            "BLUETOOTH_CONNECTED_DISCONNECTED_TEXT";

    // BT
    public static final String PHONE_BUTTON = "PHONE_BUTTON";
    public static final String MEDIA_BUTTON = "MEDIA_BUTTON";
    public static final String TOGGLE_DEVICE_MEDIA = "TOGGLE_DEVICE_MEDIA";
    public static final String TOGGLE_DEVICE_PHONE = "TOGGLE_DEVICE_PHONE";
    public static final String DEVICE_NAME = "DEVICE_NAME";

    public static final String DEVICE_TITLE = "DEVICE_TITLE";
    public static final String DISABLED_PHONE_PROFILE = "DISABLED_PHONE_PROFILE";
    public static final String DISABLED_MEDIA_PROFILE = "DISABLED_MEDIA_PROFILE";
    public static final String ASSISTANT_PERMISSION = "OPEN_GOOGLE_ASSISTANT_PERMISSION";
    public static final String LAYOUT_SELECTOR = "LAYOUT_SELECTOR";

    // App Permissions- Privacy Dashboard and Permission Manager

    public static final String PERMISSION_DECISION = "PERMISSION_DECISION";
    public static final String PRIVACY_DASHBOARD = "PRIVACY_DASHBOARD";
    public static final String PRIVACY_LOCATION = "PRIVACY_LOCATION";
    public static final String PERMISSION_DONT_ALLOW = "PERMISSION_DONT_ALLOW";
    public static final String PERMISSION_ALLOW_ALL_TIME = "PERMISSION_ALLOW_ALL_TIME";
    public static final String PERMISSION_ALLOW = "PERMISSION_ALLOW";
    public static final String PERMISSION_MESSAGE = "PERMISSION_MESSAGE";
    public static final String CANCEL = "CANCEL";
    public static final String RADIO_BUTTON = "RADIO_BUTTON";
    public static final String PRIVACY_PERMISSION_MANAGER = "PRIVACY_PERMISSION_MANAGER";
    public static final String ALLOW_WHILE_USING_APP = "PERMISSION_ALLOW_WHILE_USING_APP";
    public static final String CALENDAR_PERMISSION = "OPEN_CALENDAR_PERMISSION_PAGE";
    public static final String PRIVACY_CALENDAR = "PRIVACY_CALENDAR";
    public static final String RECENT_PERMISSION_DECISIONS = "RECENT_PERMISSION_DECISIONS";
    public static final String MICROPHONE_PERMISSIONS_PAGE = "MICROPHONE_PERMISSIONS_PAGE";

    // BT related
    public static final String BT_CONNECTED_STATUS = "BT_CONNECTED_STATUS";
    public static final String BT_DISCONNECTED_STATUS = "BT_DISCONNECTED_STATUS";
    public static final String CLICK_PHONE_BUTTON = "CLICK_PHONE_BUTTON";
    public static final String CONNECT_TO_BLUETOOTH = "CONNECT_TO_BLUETOOTH";
    public static final String DIALER_RECENTS = "DIALER_RECENTS";
    public static final String DIALER_CONTACTS = "DIALER_CONTACTS";
    public static final String DIALER_FAVORITES = "DIALER_FAVORITES";
    public static final String DIALER_DIALPAD = "DIALER_DIALPAD";
    public static final String DIALER_ACTIVE_CALL_TOGGLE = "DIALER_ACTIVE_CALL_TOGGLE";
    public static final String DIALER_ONGOING_CALL_CONTROL_BAR = "DIALER_ONGOING_CALL_CONTROL_BAR";
    public static final String DIALER_SETTINGS_BUTTON = "DIALER_SETTINGS_BUTTON";

    // Phone Device Identifiers
    public static final String MOBILE_CALL_BUTTON = "MOBILE_CALL_BUTTON";
    public static final String MOBILE_DIAL_PAD_ICON = "MOBILE_DIALPAD_ICON";
    public static final String MOBILE_PHONE_ICON = "MOBILE_PHONE_ICON";
    public static final String PHONE_DEVICE_PACKAGE = "PHONE_DEVICE_PACAKAGE";
    public static final String MOBILE_DIALPAD_INPUT = "MOBILE_DIALPAD_INPUT";

    // Phone Card Identifiers
    public static final String PHONE_CARD_DIALER_BUTTON = "PHONE_CARD_DIALER_BUTTON";
}
